Subject: Cygwin wishlist
From: "Michael A. Golub" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 27 Oct 2000 10:24:39 +0400

Dear DJ Delorie & Christopher Faylor,

My name is Michael Golub (Mike) and I am a Cygwin user. Being a crazy beta-tester of KEDIT and WinZip :-) I ask for the following features be added to setup.exe:

1. Resume downloading after broken connections (using FTP "retr" command).
2. Pay attention to the downloaded file sizes to see whether their download nees to be completed.
3. Specify more precize KBPS rate (better --- a CPS one) and instant as well as average.
4. Copy mirrors.lst to setup.exe's directory (alike setup.ini).
5. I'd like setup.exe allow to skip dialogue if the neither mirror.lst nor setup.ini changed at least if some command line option specified.
6. The distribution components file sizes as well as the total size (copied/to be copied) must be displayed.
7. The downloaded components must not be eliminated from the download list, but emphasized in any way (dimmed or somehow else) and possible alternatives must be indicated (with some icon or somehow else). IMHO the table of components will not grow significantly in this case, just some extra indicators will appear. A primitive context help (alike tooltip) is desirable.
8. It would be nice to have download time estimations for both current component and the total (the rest of) distribution.

Best regards
Mike
[email-masked]
http://www.aha.ru/~golub